// -*- c++ -*-

//////////////////////////////////////////////////
// (c) MMIII Sven Reichard
// 


# ifndef Perft_h
#  define Perft_h
# include <vector>
namespace Alice
{
  class Game;
  class Perft
  {
  public:
    Perft(Game& g, int depth);
    virtual ~Perft();
    int getMaxDepth() const;
    int getNodesAtDepth( int d ) const;
    void search();
  private:
    Game& game;
    int maxDepth;
    std::vector<long> nodes;
    void recursion( int d );
  };
}

# endif // Perft_h
